org.apache.tinkerpop.gremlin.driver.ser

## Class GraphSONMessageSerializerGremlinV2d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer<org.apache.tinkerpop.shaded.jackson.databind.ObjectMapper>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GraphSONMessageSerializerGremlinV2d0

- All Implemented Interfaces:
    MessageSerializer<org.apache.tinkerpop.shaded.jackson.databind.ObjectMapper>

  Deprecated.
  As for release 3.4.0, replaced by `GraphSONMessageSerializerV2d0`.

      @Deprecated
      public final class GraphSONMessageSerializerGremlinV2d0
      extends AbstractGraphSONMessageSerializerV2d0

  Serialize results to JSON with version 2.0.x schema and the extended module.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `AbstractGraphSONMessageSerializerV2d0.GremlinServerModule, AbstractGraphSONMessageSerializerV2d0.JsonBuilderJacksonSerializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `mapper`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONMessageSerializerGremlinV2d0()` Deprecated. Creates a default GraphSONMessageSerializerGremlin.
    `GraphSONMessageSerializerGremlinV2d0(GraphSONMapper.Builder mapperBuilder)` Deprecated. Create a GraphSONMessageSerializerGremlin with a provided `GraphSONMapper.Builder`.
    `GraphSONMessageSerializerGremlinV2d0(GraphSONMapper mapper)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `mimeTypesSupported()` Deprecated. The list of mime types that the serializer supports.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `configure, deserializeRequest, deserializeResponse, getMapper, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONMessageSerializerGremlinV2d0

          public GraphSONMessageSerializerGremlinV2d0()

      Deprecated.
      Creates a default GraphSONMessageSerializerGremlin.

      By default this will internally instantiate a `GraphSONMapper` and register a `GremlinServerModule` and `GraphSONXModuleV2d0` to the mapper.

      See Also:
        `GraphSONMessageSerializerGremlinV2d0(GraphSONMapper.Builder)`

    - #### GraphSONMessageSerializerGremlinV2d0

          @Deprecated
          public GraphSONMessageSerializerGremlinV2d0(GraphSONMapper mapper)

      Deprecated.
      Create a GraphSONMessageSerializer from a `GraphSONMapper`. Deprecated, use `GraphSONMessageSerializerGremlinV2d0(GraphSONMapper.Builder)` instead.

    - #### GraphSONMessageSerializerGremlinV2d0

          public GraphSONMessageSerializerGremlinV2d0(GraphSONMapper.Builder mapperBuilder)

      Deprecated.
      Create a GraphSONMessageSerializerGremlin with a provided `GraphSONMapper.Builder`.

      Note that to make this mapper usable in the context of request messages and responses, this method will automatically register a `GremlinServerModule` to the provided mapper.

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Deprecated.
      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.